Skip to main content
GET
/
api
/
v1
/
storage
/
sandboxes
/
{sandbox_id}
/
sources
List Sources
curl --request GET \
  --url https://api.copass.id/api/v1/storage/sandboxes/{sandbox_id}/sources \
  --header 'Authorization: Bearer <token>'
{
  "sources": [
    {
      "data_source_id": "<string>",
      "user_id": "<string>",
      "sandbox_id": "<string>",
      "provider": "<string>",
      "name": "<string>",
      "ingestion_mode": "<string>",
      "status": "<string>",
      "kind": "durable",
      "external_account_id": "<string>",
      "adapter_config": {},
      "poll_interval_seconds": 123,
      "webhook_url": "<string>",
      "webhook_signing_secret": "<string>",
      "last_sync_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

sandbox_id
string
required

Query Parameters

provider
string | null
status
string | null

Response

Successful Response

sources
DataSourceResponse · object[]
required
count
integer
required